kr.co.hanwha.hifive.view.refresh

## Enum RefreshStatus

- java.lang.Object
- - java.lang.Enum<RefreshStatus>
  - - kr.co.hanwha.hifive.view.refresh.RefreshStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RefreshStatus>

    public enum RefreshStatus
    extends java.lang.Enum<RefreshStatus>

Created by sanghoonkwon on 2018. 1. 12..

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DEFAULT`
`LOAD_AFTER`
`LOAD_BEFORE`
`LOAD_CANCEL`
`LOAD_COMPLETE`
`LOAD_DOING`
`LOAD_READY`
`REFRESH_AFTER`
`REFRESH_BEFORE`
`REFRESH_CANCEL`
`REFRESH_COMPLETE`
`REFRESH_DOING`
`REFRESH_READY`

### Method Summary

All Methods Static Methods Concrete Methods
`static RefreshStatus` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RefreshStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEFAULT

    public static final RefreshStatus DEFAULT

#### REFRESH_BEFORE

    public static final RefreshStatus REFRESH_BEFORE

#### REFRESH_AFTER

    public static final RefreshStatus REFRESH_AFTER

#### REFRESH_READY

    public static final RefreshStatus REFRESH_READY

#### REFRESH_DOING

    public static final RefreshStatus REFRESH_DOING

#### REFRESH_COMPLETE

    public static final RefreshStatus REFRESH_COMPLETE

#### REFRESH_CANCEL

    public static final RefreshStatus REFRESH_CANCEL

#### LOAD_BEFORE

    public static final RefreshStatus LOAD_BEFORE

#### LOAD_AFTER

    public static final RefreshStatus LOAD_AFTER

#### LOAD_READY

    public static final RefreshStatus LOAD_READY

#### LOAD_DOING

    public static final RefreshStatus LOAD_DOING

#### LOAD_COMPLETE

    public static final RefreshStatus LOAD_COMPLETE

#### LOAD_CANCEL

    public static final RefreshStatus LOAD_CANCEL

### Method Detail

#### values

    public static RefreshStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RefreshStatus c : RefreshStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RefreshStatus valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null